<?php
session_start();

require_once($_SERVER['DOCUMENT_ROOT'] . "/sys/access.php");

if(!$access->CheckLogin()){
  $access->RedirectToURL("/login/login.php");
  exit;
}

// Die check constant for indirectly accessed php  
define("PUBLIC_ACCESS", 1);
?>

<!DOCTYPE html>
<html lang="en">

<head>
  <meta http-equiv="Content-Language" content="en-us">
  <title>Operation</title>
  <meta charset="utf-8">

  <link rel="stylesheet" href="/ext/bootstrap/bootstrap.min.css">
  <link rel="stylesheet" href="/ext/bootstrap/bootstrap-theme.min.css">
  <link rel="stylesheet" href="/site/css/stickythead.css">
  <link rel="stylesheet" href="/site/css/bootstrap.css">
  <link rel="stylesheet" href="/site/css/multiselect.css">
  <link rel="stylesheet" href="/site/css/livesearch.css">
  <link rel="stylesheet" href="/site/css/slider.css">
  <link rel="stylesheet" href="/site/css/style.css">

  <script src="/ext/jquery/jquery-3.1.1.min.js"></script>
  <script src="/ext/bootstrap/bootstrap.min.js"></script>
  <script src="/ext/jquery/jquery.stickytableheaders.min.js"></script>
  <script src="/site/js/main.js"></script>

<style>

body {
  font-size:16px;
  font-weight:500;
  color:#000;
}  


.btn {
    width:160px;    
}

textarea > * {
  width: 100%;
}

div > * {
  width: 100%;
}

label {
  margin-bottom:0px;
}  
</style>

</head>

<body>

<?php 

date_default_timezone_set("Canada/Eastern");

// Location of class definitions
$docRoot = $_SERVER['DOCUMENT_ROOT'];
$toolkit = $docRoot .  "/toolkit";

// Class object definitions for the UI Controls used
require_once ("$toolkit/dashboard.php");
require_once ("$toolkit/notetext.php");
require_once ("$toolkit/multiselect2.php");
require_once ("$toolkit/multicontrol.php");
require_once ("$toolkit/inputtext.php");
require_once ("$toolkit/inputhidden.php");
require_once ("$toolkit/selectlist.php");
require_once ("$toolkit/seladdunique.php");
require_once ("$toolkit/selecthourmin.php");
require_once ("$toolkit/summdetail.php");
require_once ("$toolkit/putbutton.php");
require_once ("$toolkit/putrequest.php");

// Class definitions for the Controls instantiator and Menu generator 
require_once ("$docRoot/sys/init.php");
require_once ("$docRoot/sys/menu.php");

// Model and view class object definitions for the module
require_once ("$docRoot/workdayoperation/model.php");
require_once ("$docRoot/workdayoperation/view.php");

if (isset($_SESSION['project'])) 
  $pr_id = $_SESSION['project'];
else
  $pr_id = 0;

if (isset($_SESSION['parcel'])) 
  $pa_id = $_SESSION['parcel'];
else
  $pa_id = 0;

if (isset($_SESSION['projectworkday'])) 
  $pw_id = $_SESSION['projectworkday'];
else
  $pw_id = 0;

print_r ("pr:$pr_id pa:$pa_id pwo:$pw_id");

// Instantiate the model and view
$workdayOperation = new modWorkdayOperation($pw_id, $pa_id, $pr_id);
$workdayOperationView = new modWorkdayOperationView($workdayOperation);

// Output html layout and javascript
echo $workdayOperationView->output();

?>

</body>
</html>

